SAP Connector installation

The Qlik connectors for use with SAP NetWeaver can be installed using an installation package (.exe) for Windows. The package must be installed on systems running Qlik Sense or QlikView, either an SAP system client computer, or the SAP system server. The connectors are part of the Qlik Sense Enterprise on Kubernetes installation package.

SAP connector installation on Kubernetes

Qlik connectors for use with SAP NetWeaver are supported on cloud editions of Qlik Sense when using a valid license. The connectors are part of the Qlik Sense Enterprise on Kubernetes installation package.

Backwards compatibility

For a new connector release, it is recommended that you always update both the SAP and client systems. There is backwards compatibility to the SAP code, so it is possible to install a new release of the client part of the connector without installing the corresponding SAPtransports. In that case, however, new functionality and bug fixes that are dependent on changes in the SAP code are not available.

The following table shows the current backwards compatibility of the components of the connector package.

Connectors Client SAP transport (data extraction)
SQL Connector November 2019 6.1.2 or later

SAP connector installation on Windows

The Qlik Connector for use with SAP NetWeaver is installed with the QlikSAP_x64Setup.exe, which is the 64-bit (x64) installation package (.exe) for Windows. The package must be installed on systems running Qlik Sense or QlikView, either an SAP system client computer, or the SAP system server.

The installation package must also be installed on all client computers that will use the SAP Connectors. Those computers must also be running Qlik Sense or QlikView.

Note: The Qlik Connector for use with SAP NetWeaver is obtained from www.qlik.com. Log on with a registered customer or partner account, select Support > Downloads and then select the Connector tab.

The transports must be imported on all systems that will use the SAP Connectors. They are obtained from the Download Site as a separate package from release 7.0.3 or after. Before release 7.0.3 the transports were installed by the installation package.

Installing the SAP transports

Note: There is also an installation guide in PDF format available on www.qlik.com. The Qlik Connector for SAP - Installation guide is available at the same location as the installation program. Log on with a registered customer or partner account, select Support > Downloads and then select the Connector tab. Select Qlik Connector for use with SAP NetWeaver in the Product list and then select Documentation and Tutorial in the File Function list.

Prerequisites

The connectors have the following requirements.

  • Qlik Sense - version 3.2 or later.
  • QlikView version 11.00 or later

Each of the individual connectors has the following installation requirements.

  • SQL Connector - SAP BASIS system 7.00 - 7.5x
  • Query Connector - SAP BASIS system 7.00 - 7.5x
  • Report Connector - SAP BASIS system 7.00 - 7.5x
  • BEx Connector - SAP BASIS system 7.00 - 7.5x
  • InfoProvider Connector - SAP BASIS system 7.00 - 7.5x
  • OLAP Connector - SAP BW/NetWeaver BI:
    • 3.0B with Support Pack 30 or higher
    • 3.1 with Support Pack 24 or higher
    • 3.5 with Support Pack 16 or higher
    • 7.x with Support Pack 6 or higher
  • DSO/ODS Connector -SAP BW/NetWeaver BI:
    • 3.0B with Support Pack 30 or higher
    • 3.1 with Support Pack 24 or higher
    • 3.5 with Support Pack 16 or higher
    • 7.0 with Support Pack 6 or higher
  • Extractor Connector - SAP BASIS system 7.00 - 7.5x (ECC5 or later / BW 350 or later)
  • BAPI Connector - SAP BASIS system 7.00 - 7.5x (R/3 4.7 or later)
Note: If there is a firewall between the connector and the SAP system, port 33nn has to be open (where nn = system number of the SAP system).

Backwards compatibility

As a general rule, all components are recompiled for new releases. It is recommended that you always update both the SAP and Windows systems. There is backward compatibility to the SAP code, so it is possible to install the new release of the connector on Windows without installing the corresponding SAP transports. In that case, however, new functionality and bug fixes that are dependent on changes in the SAP code cannot be used.

The following table shows the current backwards compatibility of the components of the connector package.

Connectors Windows files SAP transport (data extraction)
SQL Connector 7.0.3 6.1.2 or later
BEx Connector 7.0.3 6.1.2 or later
InfoProvider Connector 7.0.3 6.5.0 or later
Query Connector 7.0.3 5.80 SR2 or later
Report Connector 7.0.3 5.80 SR2 or later
Extractor Connector 7.0.3 5.80 SR2 or later
BAPI Connector 7.0.3 5.80 SR2 or later*

* The new graphical user-interface for release 6.6.0 of the BAPI Connector has an improved search capability for finding a BAPI. It is now possible to enter a search string that will return all BAPIs where the search string is part of the BAPI name or description. The functionality is available in Qlik Sense only. When using backward compatibility--the release 6.6.0 GUI with SAP transports of an older connector release--the new functionality will not be used and the search will work as it does in the older version of the transports.

Did this information help you?

Thanks for letting us know. Is there anything you'd like to tell us about this topic?

Can you tell us why it did not help you and how we can improve it?